	.386
	.model	use32 small

	extrn	allerr : PROC
	public	_asin
	.data
nm	db	"asin",0

	.code
_asin:
      	push	ebp
	mov	ebp,esp
	lea	ecx,[ebp+8]
	sub	edx,edx
	fld	qword ptr [ecx]
	fld	st(0)
	fmulp	st(1)
	fld1
	fxch	st(1)
	fsubp	st(1),st(0)
	fsqrt
	fld	qword ptr [ecx]
	fxch
	fdivp	st(1),st(0)
	fld1
	fpatan
	lea	eax,[nm]
	call	allerr
	leave
	ret
	end